CRAN Package Check Results for Package apcf

Last updated on 2021-10-16 05:51:14 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1.6 51.88 44.75 96.63 WARN
r-devel-linux-x86_64-debian-gcc 0.1.6 37.25 34.93 72.18 WARN
r-devel-linux-x86_64-fedora-clang 0.1.6 156.07 WARN
r-devel-linux-x86_64-fedora-gcc 0.1.6 139.46 WARN
r-devel-windows-x86_64 0.1.6 77.00 166.00 243.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.1.6 WARN
r-patched-linux-x86_64 0.1.6 46.29 43.55 89.84 WARN
r-patched-solaris-x86 0.1.6 166.80 OK
r-release-linux-x86_64 0.1.6 44.83 44.11 88.94 WARN
r-release-macos-arm64 0.1.6 NOTE
r-release-macos-x86_64 0.1.6 NOTE
r-release-windows-ix86+x86_64 0.1.6 182.00 466.00 648.00 NOTE
r-oldrel-macos-x86_64 0.1.6 NOTE
r-oldrel-windows-ix86+x86_64 0.1.6 171.00 476.00 647.00 NOTE

Check Details

Version: 0.1.6
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:65: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:65: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:65: the top level
     configure.ac:228: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:228: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:228: the top level
     configure.ac:297: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:297: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:297: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.1.6
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:65: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:65: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:65: the top level
     configure.ac:228: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:228: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:228: the top level
     configure.ac:297: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:297: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:297: the top level
     configure.ac:65: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:65: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:65: the top level
     configure.ac:228: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:228: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:228: the top level
     configure.ac:297: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:297: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:297: the top level
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 0.1.6
Check: installed package size
Result: NOTE
     installed size is 45.7Mb
     sub-directories of 1Mb or more:
     gdal 2.1Mb
     libs 43.2Mb
Flavors: r-devel-windows-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.1.6
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     WARNING: failed to apply patch patches/CRAN/apcf.diff
Flavor: r-devel-windows-x86_64-gcc10-UCRT